<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="pl.edu.pg.inz2021.objectdetection">
<!--    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />-->
<!--    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />-->
<!--    <queries>-->
<!--        <intent>-->
<!--            <action android:name="android.media.action.IMAGE_CAPTURE" />-->
<!--        </intent>-->
<!--    </queries>-->
<!--    -->
    <application
        android:allowBackup="true"
        android:icon="@mipmap/pingu"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/pingu_round"
        android:supportsRtl="true"
        android:theme="@style/Theme.ObjectDetection">
        <activity android:name="pl.edu.pg.inz2021.objectdetection.MainActivity">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="pl.edu.pg.inz2021.objectdetection.fileprovider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>
        <uses-native-library
            android:name="libOpenCL.so"
            android:required="false" />

        <uses-native-library
            android:name="libOpenCL-car.so"
            android:required="false" />

        <uses-native-library
            android:name="libOpenCL-pixel.so"
            android:required="false" />
    </application>

</manifest>